libpcap-dev_1.7.4-2_all.deb


Advertisement

Description

libpcap-dev - development library for libpcap (transitional package)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libpcap-dev_1.7.4-2_all.deb
Package name libpcap-dev
Package version 1.7.4
Package release 2
Package architecture all
Package type deb
Category libdevel
Homepage http://www.tcpdump.org/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 3.31 KB
Installed size 19.00 KB
Empty package to facilitate upgrades, can be safely removed.

Alternatives

Package Version Architecture Repository
libpcap-dev_1.7.4-2_all.deb 1.7.4 all Ubuntu Main
libpcap-dev - - -

Requires

Name Value
libpcap0.8-dev -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libpcap-dev_1.7.4-2_all.deb
Source Package libpcap

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpcap-dev deb package:
    # sudo apt-get install libpcap-dev

Files

Path
/usr/share/doc/libpcap-dev/changelog.Debian.gz
/usr/share/doc/libpcap-dev/copyright

Changelog

2015-11-28 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.7.4-2) unstable; urgency=medium
* Only override arch-dependent dh targets (closes: #806061).
* Update versioned build-depends on debhelper accordingly.
2015-07-04 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.7.4-1) unstable; urgency=medium
* New upstream bugfix release.
2015-05-24 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.7.3-1) unstable; urgency=medium
* New upstream release, API addition: pcap_dump_open_append().
2014-10-11 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.6.2-2) unstable; urgency=medium
* Re-enable zerocopy BPF on kFreeBSD (closes: #764228).
* Set Standards-Version to 3.9.6.
2014-09-04 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.6.2-1) unstable; urgency=medium
* New upstream release.
2014-07-30 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.6.1-1) unstable; urgency=medium
* New upstream release.
* Amend configure test for new bt-monitor interface to make it fail properly
when built with BlueZ 5.x, as it's apparently not compatible yet.
2014-06-14 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.5.3-4) unstable; urgency=high
* Disable zerocopy BPF on kFreeBSD to work around broken atomic support,
see #750836 (closes: #750805).
2014-06-01 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.5.3-3) unstable; urgency=medium
* Add support for packet capture on GNU/Hurd (w/ netdde drivers), patch by
Richard Braun <rbraun@sceen.net> (closes: #744198).
2014-02-03 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.5.3-2) unstable; urgency=low
* Enable Bluetooth capture on Linux (closes: #737357).
2014-01-16 - Romain Francoise <rfrancoise@debian.org>
libpcap (1.5.3-1) unstable; urgency=low
* New upstream bugfix release, fixes more TPACKET_V3 issues
(closes: #734455, #733747).

See Also

Package Description
libpcap0.8-dev_1.7.4-2_amd64.deb development library and header files for libpcap0.8
libpcap0.8_1.7.4-2_amd64.deb system interface for user-level packet capture
libpci-dev_3.3.1-1.1ubuntu1_amd64.deb Linux PCI Utilities (development files)
libpci3_3.3.1-1.1ubuntu1_amd64.deb Linux PCI Utilities (shared library)
libpciaccess-dev_0.13.4-1_amd64.deb Generic PCI access library for X - development files
libpciaccess0_0.13.4-1_amd64.deb Generic PCI access library for X
libpcre16-3_8.38-3.1_amd64.deb Perl 5 Compatible Regular Expression Library - 16 bit runtime files
libpcre3-dev_8.38-3.1_amd64.deb Perl 5 Compatible Regular Expression Library - development files
libpcre32-3_8.38-3.1_amd64.deb Perl 5 Compatible Regular Expression Library - 32 bit runtime files
libpcre3_8.38-3.1_amd64.deb Perl 5 Compatible Regular Expression Library - runtime files
libpcrecpp0v5_8.38-3.1_amd64.deb Perl 5 Compatible Regular Expression Library - C++ runtime files
libpcsclite-dev_1.8.14-1ubuntu1_amd64.deb Middleware to access a smart card using PC/SC (development files)
libpcsclite1_1.8.14-1ubuntu1_amd64.deb Middleware to access a smart card using PC/SC (library)
libpe-rules2_1.1.14-2ubuntu1_amd64.deb cluster resource manager Policy Engine rules library
libpe-status10_1.1.14-2ubuntu1_amd64.deb cluster resource manager Policy Engine status library
Advertisement
Advertisement